Bug 1130389 - thunderbird is not able to connect via a new connection (VPN) established since its launch
Summary: thunderbird is not able to connect via a new connection (VPN) established sin...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 06:05 UTC by Nineth
Modified: 2017-08-08 11:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:48:19 UTC


Attachments (Terms of Use)

Description Nineth 2014-08-15 06:05:55 UTC
Description of problem:

Thunderbird is unable to make use of new VPN connections that were started after thunderbird had been launched. I have an IMAP server that's accessible once I connect to the VPN. If the VPN is activated after thunderbird was launched, when accessing the mailbox (or sending via the SMTP server on the VPN, etc.), Thunderbird is stuck at "Connecting to ...." although the connection is fine for the OS, i.e., firefox or other programs are able to connect via the VPN. A command-line telnet to the IMAPs port (993) or the SMTP server reports successful connection. However, after about 5 minutes or so and after thunderbird has displayed an error saying the connection couldn't be established, a subsequent retry works and it all works then on.

It appears as is thunderbird "doesn't know" about the newly created VPN. This is strange to me since the networking interface and routing tables are all setup correctly by then.


Version-Release number of selected component (if applicable):
thunderbird-24.6.0-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start thunderbird
2. Activate a VPN connection
3. Try using an IMAP or SMTP server that is accessible via the VPN connection 

Actual results:
Thunderbird is stuck at "Connecting to ...." although the connection is fine. A command-line telnet to the IMAPs port (993) reports successful connection. 

Expected results:
One would expect it to connect right away or without much delay.

Additional info:

Comment 1 Nineth 2015-02-18 23:42:05 UTC
Anything on this? The issue still exists with

thunderbird-31.4.0-1.fc20.x86_64

(seven major versions newer than the one I originally reported this with)

Comment 2 Nineth 2015-02-23 01:10:30 UTC
I'd like to correct this statement from the original post,

"However, after about 5 minutes or so and after thunderbird has displayed an error saying the "

I actually notice that it's unable to connect at all. The only way I can get Thunderbird to connect through the newly created connection is by restarting it.

Comment 3 Nineth 2015-04-23 10:37:19 UTC
Anything on this? The issue still exists with

thunderbird-31.5.0-1.fc20.x86_64

The issue is really annoying and it forces one to restart thunderbird each time after re-connecting to the VPN.

Comment 4 Fedora End Of Life 2015-05-29 12:38:23 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Nineth 2015-05-31 10:54:42 UTC
I upgraded to Fedora 22 and the same problem persists. This issue has remained for 10 months now and across at least 3 releases.

Comment 6 Nineth 2016-03-18 05:44:47 UTC
I still see this issue. Any update on this?

Comment 7 Fedora End Of Life 2016-07-19 19:03:08 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Nineth 2016-07-20 03:22:36 UTC
Problem still persists on Fedora 24. 

thunderbird-45.0-2.fc22.x86_64

Is anyone even looked into what the issue is?

Comment 9 Nineth 2016-08-20 04:08:21 UTC
Problem still persists with

thunderbird-45.2.0-1.fc24.x86_64

Comment 10 Jan Horak 2016-08-23 13:45:57 UTC
Hm, I cannot reproduce it in our environment. Do you have any addons installed? If so please try to run Thunderbird in safe mode (thunderbird -safe-mode) and retest again. Do you use any proxy settings in Thunderbird? 

You could also try to look into Error Console (Tools/Error console) and Activity manager (Tools/Activity manager).

As possible workaround, try to switch TB in to offline mode for a second and then turn the offline mode off.

Comment 11 Nineth 2016-08-23 15:50:14 UTC
Thunderbird in safe mode doesn't resolve the issue. I'm not using a proxy. Error console doesn't show any connection related errors (no errors at all). Thunderbird just displays "Connecting to ...." and never connects. Activity manager displays "Connection to ... timed out" - although the system and all other applications do have a connection to that host (verified via the console - can telnet to the secure imap port). Only after a restart is thunderbird able to connect to hosts on VPN (since the VPN connection was made after thunderbird had been launched on the first occasion).

I'm surprised you were unable to reproduce. You launched thunderbird, then connected to VPN, and thunderbird is then able to connect to mail servers that are part of the VPN network??

Comment 12 Nineth 2016-08-23 16:20:52 UTC
Switching to offline mode and back doesn't work either.

Comment 13 Jan Horak 2017-03-16 14:12:43 UTC
I'm sorry for very late answer. 

Yes, I'm able to download imap content even if I connect to vpn when Thunderbird already started.

If you'd like to debug it more, try following commands in terminal
export NSPR_LOG_MODULES=IMAP:5
thunderbird
and check on what message the imap stops (it should show some imap debugging messages in the terminal).

Comment 14 Fedora End Of Life 2017-07-25 18:42:09 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 11:48:19 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.